summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorThomas Beierlein <tomjbe@gentoo.org>2018-10-20 11:29:09 +0200
committerThomas Beierlein <tomjbe@gentoo.org>2018-10-20 11:29:09 +0200
commit65da68803100e8ceb8c78c6bf42f1cc2f4f2f285 (patch)
treedb52327350726e6c864d10bb1c47a80bd3285f48
parentnet-irc/quassel: Remove 0.13_rc1 (diff)
downloadgentoo-65da68803100e8ceb8c78c6bf42f1cc2f4f2f285.tar.gz
gentoo-65da68803100e8ceb8c78c6bf42f1cc2f4f2f285.tar.bz2
gentoo-65da68803100e8ceb8c78c6bf42f1cc2f4f2f285.zip
dev-libs/libzia: Fix build problems
- Package did only build if older version was already installed. - Disable parallel build, as one part of the package needs the library to already be build. Signed-off-by: Thomas Beierlein <tomjbe@gentoo.org> Package-Manager: Portage-2.3.51, Repoman-2.3.11
-rw-r--r--dev-libs/libzia/files/libzia-4.14-ldadd.patch16
-rw-r--r--dev-libs/libzia/libzia-4.14.ebuild9
2 files changed, 23 insertions, 2 deletions
diff --git a/dev-libs/libzia/files/libzia-4.14-ldadd.patch b/dev-libs/libzia/files/libzia-4.14-ldadd.patch
new file mode 100644
index 00000000000..a8636e1d127
--- /dev/null
+++ b/dev-libs/libzia/files/libzia-4.14-ldadd.patch
@@ -0,0 +1,16 @@
+# add local .libs directory to library search path during build of zsdltest
+--- src/Makefile.am.orig 2018-10-19 18:19:54.067784664 +0200
++++ src/Makefile.am 2018-10-19 18:20:26.419265774 +0200
+@@ -71,9 +71,10 @@
+
+ zsdltest_SOURCES = zsdltest.c
+ zsdltest_LDFLAGS = -lzia
++zsdltest_LDADD = -L.libs
+
+-gpiotest_SOURCES = gpiotest.c
+-gpiotest_LDFLAGS = -lzia
++#gpiotest_SOURCES = gpiotest.c
++#gpiotest_LDFLAGS = -lzia
+
+ EXTRA_DIST = regcomp.c regex_internal.c regexec.c
+
diff --git a/dev-libs/libzia/libzia-4.14.ebuild b/dev-libs/libzia/libzia-4.14.ebuild
index faa975e860a..8182298faa8 100644
--- a/dev-libs/libzia/libzia-4.14.ebuild
+++ b/dev-libs/libzia/libzia-4.14.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2018 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@@ -22,10 +22,15 @@ RDEPEND="dev-libs/glib:2
DEPEND="${RDEPEND}
virtual/pkgconfig"
+PATCHES=( "${FILESDIR}"/$P-ldadd.patch )
+
+MAKEOPTS+=" -j1"
+
src_prepare() {
eapply_user
+ eapply -p0 ${PATCHES}
sed -i -e "s/docsdir/#docsdir/g" \
- -e "s/docs_/#docs_/g" Makefile.am || die
+ -e "s/docs_/#docs_/g" Makefile.am || die
eautoreconf
}